﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
            background-color: #fff;
        }
        table th
        {
            background-color: #B8DBFD;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
        table, table table td
        {
            border: 0px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" EmptyDataText="No records has been added."
        Width="450">
        <Columns>
            <asp:BoundField DataField="CustomerId" HeaderText="Customer Id" />
            <asp:BoundField DataField="Name" HeaderText="Name" />
            <asp:BoundField DataField="Country" HeaderText="Country" />
        </Columns>
    </asp:GridView>
    <table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse;
        width: 450px">
        <tr>
            <td style="width: 150px">
                Name:<br />
                <asp:TextBox ID="txtName" runat="server" Width="140" />
            </td>
            <td style="width: 150px">
                Country:<br />
                <asp:TextBox ID="txtCountry" runat="server" Width="140" />
            </td>
            <td style="width: 150px">
                <asp:Button ID="btnAdd" runat="server" Text="Add" OnClick="Insert" />
            </td>
        </tr>
    </table>
    <asp:CustomValidator ID="CustomValidator1" runat="server" ErrorMessage="" ForeColor="Red"
        ClientValidationFunction="CheckDuplicates"></asp:CustomValidator>
    <script type="text/javascript">
        function CheckDuplicates(sender, args) {
            //Reference the GridView.
            var grid = document.getElementById("<%=GridView1.ClientID %>");

            //Reference all Rows of the GridView.
            var rows = grid.getElementsByTagName("TR");
            for (var i = 1; i < rows.length; i++) {

                //Reference the Cells of the Row.
                var cells = rows[i].getElementsByTagName("TD");

                //Fetch the values from the Cells.
                var name = cells[1].innerHTML;
                var country = cells[2].innerHTML;

                //Compare the values and check for Duplicates.
                if (name == document.getElementById("<%=txtName.ClientID %>").value.trim()) {
                    sender.innerHTML = "Duplicate Name";
                    args.IsValid = false;
                    return;
                }
                if (country == document.getElementById("<%=txtCountry.ClientID %>").value.trim()) {
                    sender.innerHTML = "Duplicate Country";
                    args.IsValid = false;
                    return;
                }
            }

            args.IsValid = true;
        }
    </script>
    </form>
</body>
</html>
